# Copyright (c) 2026, UChicago Argonne, LLC
# BSD OPEN SOURCE LICENSE. Full license can be found in LICENSE
# Copyright (c) 2026, UChicago Argonne, LLC
# BSD OPEN SOURCE LICENSE. Full license can be found in LICENSE
from ..common_tools import ModelRunner
from .show_dialog import show_diag


def run_model(proj):
    if not proj.open_mode or proj.open_mode != "project":
        proj.message_no_project()
        return
    dlg2 = ModelRunner(proj)
    show_diag(dlg2)
